Package net.sf.saxon.type

## Enum PrimitiveUType

- java.lang.Object
- - java.lang.Enum<PrimitiveUType>
  - - net.sf.saxon.type.PrimitiveUType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PrimitiveUType>`

      public enum PrimitiveUType
      extends java.lang.Enum<PrimitiveUType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANY_URI` |
    `ATTRIBUTE` |
    `BASE64_BINARY` |
    `BOOLEAN` |
    `COMMENT` |
    `DATE` |
    `DATE_TIME` |
    `DECIMAL` |
    `DOCUMENT` |
    `DOUBLE` |
    `DURATION` |
    `ELEMENT` |
    `EXTENSION` |
    `FLOAT` |
    `FUNCTION` |
    `G_DAY` |
    `G_MONTH` |
    `G_MONTH_DAY` |
    `G_YEAR` |
    `G_YEAR_MONTH` |
    `HEX_BINARY` |
    `NAMESPACE` |
    `NOTATION` |
    `PI` |
    `QNAME` |
    `STRING` |
    `TEXT` |
    `TIME` |
    `UNTYPED_ATOMIC` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PrimitiveUType` | `forBit​(int bit)` |
    `int` | `getBit()` |
    `ItemType` | `toItemType()` |
    `java.lang.String` | `toString()` |
    `UType` | `toUType()` |
    `static PrimitiveUType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PrimitiveUType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOCUMENT

          public static final PrimitiveUType DOCUMENT

    - #### ELEMENT

          public static final PrimitiveUType ELEMENT

    - #### ATTRIBUTE

          public static final PrimitiveUType ATTRIBUTE

    - #### TEXT

          public static final PrimitiveUType TEXT

    - #### COMMENT

          public static final PrimitiveUType COMMENT

    - #### PI

          public static final PrimitiveUType PI

    - #### NAMESPACE

          public static final PrimitiveUType NAMESPACE

    - #### FUNCTION

          public static final PrimitiveUType FUNCTION

    - #### STRING

          public static final PrimitiveUType STRING

    - #### BOOLEAN

          public static final PrimitiveUType BOOLEAN

    - #### DECIMAL

          public static final PrimitiveUType DECIMAL

    - #### FLOAT

          public static final PrimitiveUType FLOAT

    - #### DOUBLE

          public static final PrimitiveUType DOUBLE

    - #### DURATION

          public static final PrimitiveUType DURATION

    - #### DATE_TIME

          public static final PrimitiveUType DATE_TIME

    - #### TIME

          public static final PrimitiveUType TIME

    - #### DATE

          public static final PrimitiveUType DATE

    - #### G_YEAR_MONTH

          public static final PrimitiveUType G_YEAR_MONTH

    - #### G_YEAR

          public static final PrimitiveUType G_YEAR

    - #### G_MONTH_DAY

          public static final PrimitiveUType G_MONTH_DAY

    - #### G_DAY

          public static final PrimitiveUType G_DAY

    - #### G_MONTH

          public static final PrimitiveUType G_MONTH

    - #### HEX_BINARY

          public static final PrimitiveUType HEX_BINARY

    - #### BASE64_BINARY

          public static final PrimitiveUType BASE64_BINARY

    - #### ANY_URI

          public static final PrimitiveUType ANY_URI

    - #### QNAME

          public static final PrimitiveUType QNAME

    - #### NOTATION

          public static final PrimitiveUType NOTATION

    - #### UNTYPED_ATOMIC

          public static final PrimitiveUType UNTYPED_ATOMIC

    - #### EXTENSION

          public static final PrimitiveUType EXTENSION

  - ### Method Detail

    - #### values

          public static PrimitiveUType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrimitiveUType c : PrimitiveUType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrimitiveUType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getBit

          public int getBit()

    - #### toUType

          public UType toUType()

    - #### forBit

          public static PrimitiveUType forBit​(int bit)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<PrimitiveUType>`

    - #### toItemType

          public ItemType toItemType()